Index: /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope_coarse/numerical_rundown_channel_coarse.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope_coarse/numerical_rundown_channel_coarse.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope_coarse/numerical_rundown_channel_coarse.py	(revision 9174)
@@ -9,50 +9,62 @@
 #------------------------------------------------------------------------------
 import anuga
-from anuga import rectangular_cross as rectangular_cross
-from anuga.structures.inlet_operator import Inlet_operator
+from anuga import rectangular_cross
+from anuga import Inlet_operator
 from anuga import Domain
+from anuga import myid, finalize, distribute
+
+Qin = 0.1
+fluxin=Qin/100. #The momentum flux at the upstream boundary ( = discharge / width)
+mann=0.03 # Manning's coef
+bedslope=-0.1
+uana= ( mann**(-2.)*abs(bedslope)*fluxin**(4./3.) )**(3./10.) # Velocity
+dana= fluxin/uana # Depth
+
+
+
+args = anuga.get_args()
+alg = args.alg
+verbose = args.verbose
 
 #------------------------------------------------------------------------------
-# Setup computational domain
+# Setup sequential computational domain
 #------------------------------------------------------------------------------
-points, vertices, boundary = rectangular_cross(14, 10, len1=140.0, len2=100.0)
-domain = Domain(points, vertices, boundary) # Create domain
-domain.set_name('channel') # Output name
+if myid == 0:
+	points, vertices, boundary = rectangular_cross(40, 10, len1=400.0, len2=100.0)
+	domain = Domain(points, vertices, boundary) # Create domain
+	domain.set_name('channel') # Output name
+	
+	domain.set_flow_algorithm(alg)
 
-#------------------------------------------------------------------------------
-# Setup Algorithm, either using command line arguments
-# or override manually yourself
-#------------------------------------------------------------------------------
-from anuga.utilities.argparsing import parse_standard_args
-alg, cfl = parse_standard_args()
-domain.set_flow_algorithm(alg)
-#domain.set_CFL(cfl)
+	
+	#------------------------------------------------------------------------------
+	# Setup initial conditions
+	#------------------------------------------------------------------------------
 
-#------------------------------------------------------------------------------
-# Setup initial conditions
-#------------------------------------------------------------------------------
-Qin=0.1
-#fluxin=Qin/100. #The momentum flux at the upstream boundary ( = discharge / width)
-#uana= 2.15843634571 # analytical Xvelocity
-#dana= 0.0926596702273 # analytical water depth
+	
+	def topography(x, y):
+		return -x/10. # linear bed slope
+	
+	def init_stage(x,y):
+		stg= -x/10.+0.004 # Constant depth: 10 cm.
+		return stg
+	#line0=[ [0.,0.], [0., 100.] ]
+	#Uin=[uana, 0.0]
+	#Inlet_operator(domain, line0, Q=Qin, velocity=Uin)
+	
 
-def topography(x, y):
-	return -x/10. # linear bed slope
-
-def init_stage(x,y):
-    stg= -x/10.+0.10 # Constant depth: 10 cm.
-    return stg
-#line0=[ [0.,0.], [0., 100.] ]
-#Uin=[uana, 0.0]
-#Inlet_operator(domain, line0, Q=Qin, velocity=Uin)
-
-line1=[ [0.,0.], [0., 100.] ]
-#Qin=0.1
-Inlet_operator(domain, line1,Qin)
-
-
-domain.set_quantity('elevation', topography) # Use function for elevation
-domain.set_quantity('friction', 0.03) # Constant friction
-domain.set_quantity('stage', init_stage)
+	
+	domain.set_quantity('elevation', topography) # Use function for elevation
+	domain.set_quantity('friction', mann) # Constant friction
+	domain.set_quantity('stage', init_stage)
+	domain.set_quantity('xmomentum', dana*uana)
+else:
+	
+	domain = None
+	
+#===========================================================================
+# Create Parallel Domain
+#===========================================================================
+domain = distribute(domain)
 
 #------------------------------------------------------------------------------
@@ -60,8 +72,31 @@
 #------------------------------------------------------------------------------
 Bt = anuga.Transmissive_boundary(domain)
+#Bts = anuga.Transmissive_momentum_set_stage_boundary(domain, dana-160.0)
+Bts = anuga.Transmissive_n_momentum_zero_t_momentum_set_stage_boundary(domain, lambda t: dana-160.0)
 #BdIN = anuga.Dirichlet_boundary([dana, fluxin, 0.0])
-#BdOUT = anuga.Dirichlet_boundary([dana-10., fluxin, 0.0])
+BdOUT = anuga.Dirichlet_boundary([dana-40., dana*uana, 0.0])
+
+print dana-40.
+
 Br = anuga.Reflective_boundary(domain) # Solid reflective wall
-domain.set_boundary({'left': Br, 'right': Bt, 'top': Br, 'bottom': Br})
+domain.set_boundary({'left': Br, 'right': BdOUT, 'top': Br, 'bottom': Br})
+
+
+line1=[ [0.0, 0.], [0.0, 100.] ]
+Qin=0.1
+inlet = Inlet_operator(domain, line1, Q = Qin)
+
+
+#if inlet: print inlet.statistics()
+
+
+stage = domain.quantities['stage']
+elev  = domain.quantities['elevation']
+
+print (stage-elev).get_integral()
+
+
+
+	
 
 
@@ -69,22 +104,29 @@
 # Produce a documentation of parameters
 #------------------------------------------------------------------------------
-parameter_file=open('parameters.tex', 'w')
-parameter_file.write('\\begin{verbatim}\n')
-from pprint import pprint
-pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
-parameter_file.write('\\end{verbatim}\n')
-parameter_file.close()
+if myid == 0:
+	parameter_file=open('parameters.tex', 'w')
+	parameter_file.write('\\begin{verbatim}\n')
+	from pprint import pprint
+	pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
+	parameter_file.write('\\end{verbatim}\n')
+	parameter_file.close()
 
 #------------------------------------------------------------------------------
 # Evolve system through time
 #------------------------------------------------------------------------------
-for t in domain.evolve(yieldstep=10.0, finaltime=2000.0):
-    print domain.timestepping_statistics()
-    print (domain.areas*(domain.quantities['stage'].centroid_values - domain.quantities['elevation'].centroid_values)).sum()
-    s3 = domain.get_flow_through_cross_section([[30., 0.0], [30., 100.]])
-    s4 = domain.get_flow_through_cross_section([[32., 0.0], [32., 100.]])
-    s5 = domain.get_flow_through_cross_section([[34., 0.0], [34., 100.]])
-    s2 = domain.get_flow_through_cross_section([[45., 0.0], [45., 100.]])
-    s1 = domain.get_flow_through_cross_section([[53., 0.0], [53., 100.]])
-    s0 = domain.get_flow_through_cross_section([[60., 0.0], [60., 100.]])
-    print 'Xsectional flow:', s0, s1, s2, s3, s4, s5
+for t in domain.evolve(yieldstep=10.0, finaltime=3000.0):
+	if myid == 0 and verbose: print domain.timestepping_statistics()
+	#print (stage-elev).get_integral()
+    #print (domain.areas*(domain.quantities['stage'].centroid_values - domain.quantities['elevation'].centroid_values)).sum()
+    #s3 = domain.get_flow_through_cross_section([[30., 0.0], [30., 100.]])
+    #s4 = domain.get_flow_through_cross_section([[32., 0.0], [32., 100.]])
+    #s5 = domain.get_flow_through_cross_section([[34., 0.0], [34., 100.]])
+    #s2 = domain.get_flow_through_cross_section([[45., 0.0], [45., 100.]])
+    #s1 = domain.get_flow_through_cross_section([[53., 0.0], [53., 100.]])
+    #s0 = domain.get_flow_through_cross_section([[60., 0.0], [60., 100.]])
+    #print 'Xsectional flow:', s0, s1, s2, s3, s4, s5
+
+
+domain.sww_merge(delete_old=True)
+
+finalize()
Index: /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope_coarse/plot_results.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope_coarse/plot_results.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope_coarse/plot_results.py	(revision 9174)
@@ -26,10 +26,4 @@
 #v=(p2.y==p2.y[3])
 
-tmp = abs(p2.y-50.)
-n = tmp.argmin()
-v=(p2.y==p2.y[n])
-
-ll=p2.vel.shape[0]-1
-
 #-------------------------------
 # Define variables of case study
@@ -51,23 +45,33 @@
 # Make plot animation
 #--------------------
+# Find an y value close to y==50
+#tmp=(abs(p2.y-50.)).argmin()
+#vx=(p2.y==p2.y[tmp])
+vx=(abs(p2.y - 50.0)<10.0)
+
 pyplot.clf()
+pyplot.plot(p2.x[vx],p2.stage[-1,vx]-p2.elev[vx], 'o', label='numerical')
+pyplot.plot((0,400),(dana,dana),label='analytical')
+pyplot.ylim([0.0,0.01])
+pyplot.xlabel('Xposition m')
+pyplot.ylabel('Depth m')
+pyplot.title('Depth down the slope (along y=50.)')
+pyplot.legend(loc='best')
+pyplot.savefig('depth_x.png')
 
-line, = pyplot.plot( (p2.x[v].min(),p2.x[v].max()) ,( (p2.stage[:,v]-p2.elev[v]).max(),(p2.stage[:,v]-p2.elev[v]).min() ) )
-line.set_label('numerical')
-pyplot.plot( (0,140),(dana,dana), 'r',label='analytical' )
-pyplot.yscale('log')
-pyplot.legend()
-#pyplot.plot(x[v],elev[v],'green')
-for i in range(p2.xmom.shape[0]):
-    line.set_xdata(p2.x[v])
-    line.set_ydata(p2.stage[i,v]-p2.elev[v])
-    pyplot.draw()
-    pyplot.title('Flow depth: should be converging to steady uniform flow ' )
-    pyplot.xlabel('Xposition')
-    pyplot.ylabel('Depth')
-#pyplot.ylim([0.085,0.095])
+
+
+pyplot.clf()
+pyplot.plot(p2.x[vx],p2.xvel[-1,vx], 'o', label='numerical')
+pyplot.plot((0,400),(uana,uana),label='analytical')
+#pyplot.ylim([0.0,0.05])
+pyplot.xlabel('Xposition m')
+pyplot.ylabel('Depth m')
+pyplot.title('Velocity down the slope (along y=50.)')
 pyplot.legend(loc='best')
-pyplot.title('Flow depth at 800s')# -- there should be a central region with steady uniform flow ' )
-pyplot.savefig('final_depth.png')
+pyplot.savefig('xvelocity_x.png')
+
+
+
 
 #--------------------------------------------
@@ -75,21 +79,32 @@
 #--------------------------------------------
 # Find an x value close to x==50
-tmp=(abs(p2.x-50.)).argmin()
-v=(p2.x==p2.x[tmp])
+#tmp=(abs(p2.x-50.)).argmin()
+v=(abs(p2.x - 50.0)<10.0)
 
 pyplot.clf()
-pyplot.plot(p2.y[v],p2.xvel[ll,v], 'o', label='numerical')
+pyplot.plot(p2.y[v],p2.stage[-1,v]-p2.elev[v], 'o', label='numerical')
+pyplot.plot((0,100),(dana,dana),label='analytical')
+pyplot.ylim([0.0,0.005])
+pyplot.xlabel('Yposition m')
+pyplot.ylabel('Depth m')
+pyplot.title('Depth across the slope (x=50.)')
+pyplot.legend(loc='best')
+pyplot.savefig('depth_y.png')
+
+
+pyplot.clf()
+pyplot.plot(p2.y[v],p2.xvel[-1,v], 'o', label='numerical')
 pyplot.plot((0,100),(uana,uana),label='analytical')
-#pyplot.ylim([1.0,3.0])
+pyplot.ylim([0.0,0.35])
 pyplot.xlabel('Yposition along the line x=50')
 pyplot.ylabel('Xvelocity m/s')
 pyplot.title('Final Xvelocity around the line x=50.')
 pyplot.legend(loc='best')
-pyplot.ylim((0,1.5*uana))
 pyplot.savefig('x_velocity.png')
 
 pyplot.clf()
-pyplot.plot(p2.y[v],p2.yvel[ll,v],'o', label='numerical')
+pyplot.plot(p2.y[v],p2.yvel[-1,v],'o', label='numerical')
 pyplot.plot((0,100),(0.0, 0.0),label='analytical')
+#pyplot.ylim([0.0,0.3])
 pyplot.xlabel('Yposition along the line x=50')
 pyplot.ylabel('Yvelocity')
Index: /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope_coarse/produce_results.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope_coarse/produce_results.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope_coarse/produce_results.py	(revision 9174)
@@ -3,21 +3,12 @@
 It was called "steep_slope" in an old validation test.
 """
-#--------------------------------
-# import modules
-#--------------------------------
 
-from anuga.validation_utilities.fabricate import *
-from anuga.validation_utilities import run_validation_script
-from anuga.validation_utilities import typeset_report
+import anuga
+from anuga.validation_utilities import produce_report
 
-# Setup the python scripts which produce the output for this
-# validation test
-def build():
-    run_validation_script('numerical_rundown_channel_coarse.py')
-    run_validation_script('plot_results.py')
-    typeset_report()
+args = anuga.get_args()
 
-def clean():
-    autoclean()
+produce_report('numerical_rundown_channel_coarse.py', args=args)
 
-main()
+
+
Index: /trunk/anuga_core/validation_tests/behaviour_only/lid_driven_cavity/numerical_lid_driven_cavity.py
===================================================================
--- /trunk/anuga_core/validation_tests/behaviour_only/lid_driven_cavity/numerical_lid_driven_cavity.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/behaviour_only/lid_driven_cavity/numerical_lid_driven_cavity.py	(revision 9174)
@@ -23,5 +23,5 @@
 alg, cfl = parse_standard_args()
 domain.set_flow_algorithm(alg)
-domain.set_CFL(cfl)
+#domain.set_CFL(cfl)
 
 domain.set_name('dimensional_lid_driven')   # Output to file runup.sww
Index: /trunk/anuga_core/validation_tests/behaviour_only/weir_1/runup.py
===================================================================
--- /trunk/anuga_core/validation_tests/behaviour_only/weir_1/runup.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/behaviour_only/weir_1/runup.py	(revision 9174)
@@ -60,5 +60,5 @@
 alg, cfl = parse_standard_args()
 domain.set_flow_algorithm(alg)
-domain.set_CFL(cfl)
+#domain.set_CFL(cfl)
 
 domain.set_name('runup_riverwall')                         
Index: /trunk/anuga_core/validation_tests/case_studies/okushiri/run_okushiri.py
===================================================================
--- /trunk/anuga_core/validation_tests/case_studies/okushiri/run_okushiri.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/case_studies/okushiri/run_okushiri.py	(revision 9174)
@@ -84,5 +84,5 @@
         alg, cfl = parse_standard_args()
         domain.set_flow_algorithm(alg)
-        domain.set_CFL(cfl)
+        #domain.set_CFL(cfl)
     
     
Index: /trunk/anuga_core/validation_tests/case_studies/patong/run_model.py
===================================================================
--- /trunk/anuga_core/validation_tests/case_studies/patong/run_model.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/case_studies/patong/run_model.py	(revision 9174)
@@ -38,6 +38,22 @@
 import shutil
 
-
-verbose = True
+#--------------------------------------------------
+# Pick up useful command line arguments (which over rides 
+# values set before
+#--------------------------------------------------
+cfl = anuga.args.cfl
+alg = anuga.args.alg
+verbose = anuga.args.verbose
+np = anuga.args.np
+
+if myid == 0 and verbose:
+    print 80*'#'
+    print '#'
+    print '# Long Validation Test, takes 10 minutes on my desktop'
+    print '#'
+    print '# Consider running in parallel'
+    print '#'
+    print 80*'#'
+
 #-------------------------------------------------------------------------------
 # Copy scripts to time stamped output directory and capture screen
@@ -133,7 +149,7 @@
     domain.set_name(project.scenario_name)
     domain.set_datadir(project.output_run) 
-    print 'WARNING: FORCING FLOW ALGORITHM TO DE0 -- NEEDS TO BE CHANGED FOR INTEGRATION INTO VALIDATION TESTS'
-    #domain.set_flow_algorithm('tsunami')
-    domain.set_flow_algorithm('DE0')
+
+    domain.set_flow_algorithm(alg)
+    #domain.set_CFL(cfl)
 
     #-------------------------------------------------------------------------------
Index: /trunk/anuga_core/validation_tests/case_studies/towradgi/Towradgi_historic_flood.py
===================================================================
--- /trunk/anuga_core/validation_tests/case_studies/towradgi/Towradgi_historic_flood.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/case_studies/towradgi/Towradgi_historic_flood.py	(revision 9174)
@@ -225,5 +225,5 @@
     alg, cfl = parse_standard_args()
     domain.set_flow_algorithm(alg)
-    domain.set_CFL(cfl)
+    #domain.set_CFL(cfl)
     #domain.set_flow_algorithm('DE1') 
     #domain.set_store_vertices_smoothly()
Index: /trunk/anuga_core/validation_tests/experimental_data/dam_break_yeh_petroff/numerical_Yeh_Petroff.py
===================================================================
--- /trunk/anuga_core/validation_tests/experimental_data/dam_break_yeh_petroff/numerical_Yeh_Petroff.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/experimental_data/dam_break_yeh_petroff/numerical_Yeh_Petroff.py	(revision 9174)
@@ -58,5 +58,5 @@
 
 domain.set_flow_algorithm(alg)
-domain.set_CFL(cfl)
+#domain.set_CFL(cfl)
 #domain.set_minimum_allowed_height(0.01) # Avoid such statements in the validation tests
 
Index: /trunk/anuga_core/validation_tests/other_references/radial_dam_break_dry/radial_dam_break.py
===================================================================
--- /trunk/anuga_core/validation_tests/other_references/radial_dam_break_dry/radial_dam_break.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/other_references/radial_dam_break_dry/radial_dam_break.py	(revision 9174)
@@ -50,5 +50,5 @@
 alg, cfl = parse_standard_args()
 domain.set_flow_algorithm(alg)
-domain.set_CFL(cfl)
+#domain.set_CFL(cfl)
 #domain.set_minimum_allowed_height(0.002)
 
Index: /trunk/anuga_core/validation_tests/other_references/radial_dam_break_wet/radial_dam_break.py
===================================================================
--- /trunk/anuga_core/validation_tests/other_references/radial_dam_break_wet/radial_dam_break.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/other_references/radial_dam_break_wet/radial_dam_break.py	(revision 9174)
@@ -50,5 +50,5 @@
 alg, cfl = parse_standard_args()
 domain.set_flow_algorithm(alg)
-domain.set_CFL(cfl)
+#domain.set_CFL(cfl)
 
 #------------------------------------------------------------------------------
